# $Revision: 1.7 $, $Date: 2004/04/04 20:48:38 $
#
# Conditional build:
%bcond_without	kde	# without KDE version of utilities
#
Summary:	lprof - a colour profile construction set library
Summary(pl):	lprof - biblioteka do konstruowania profili kolorw
Name:		lprof
Version:	1.09
Release:	3
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://www.littlecms.com/%{name}-%{version}.tar.gz
# Source0-md5:	731d934d2e8b6dda2e453e4b1d2be8f4
Patch0:		%{name}-opt.patch
# based on http://www.littlecms.com/lprof-1.09_mrr_patch4
Patch1:		%{name}-mrr.patch
Patch2:		%{name}-targetsdir.patch
Patch3:		%{name}-shared.patch
Patch4:		%{name}-kde.patch
Patch5:		%{name}-qtmt.patch
URL:		http://www.littlecms.com/profilers.htm
%{?with_kde:BuildRequires:	kdelibs-devel >= 3.0}
BuildRequires:	lcms-devel >= 1.09
BuildRequires:	libtool
BuildRequires:	qt-devel >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lprof is a colour profile construction set library. Package contains
also sample profilers.

%description -l pl
lprof to biblioteka do konstruowania profili kolorw. Pakiet zawiera
take przykadowe programy do profilowania sprztu.

%package devel
Summary:	lprof header files and static library
Summary(pl):	Pliki nagwkowe i statyczna biblioteka lprof
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for lprof - a colour profile construction set library.

%description devel -l pl
Pliki nagwkowe lprof - biblioteki do konstruowania profili kolorw.

%package static
Summary:	Static lprof library
Summary(pl):	Statyczna biblioteka lprof
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lprof library.

%description static -l pl
Statyczna biblioteka lprof.

%package data
Summary:	Colour profiling targets data
Summary(pl):	Dane urzdze do profilowania kolorw
Group:		Libraries

%description data
Colour profiling targets data.

%description data -l pl
Dane urzdze do profilowania kolorw.

%package qt
Summary:	Qt-based sample colour profilers
Summary(pl):	Oparte na Qt przykadowe narzdzia do profilowania kolorw
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-data = %{version}-%{release}

%description qt
Qt-based sample colour profilers: qtMonitorProfiler,
qtScannerProfiler, qtMeasurementTool and qtProfileChecker.

%description qt -l pl
Oparte na Qt przykadowe narzdzia do profilowania kolorw:
qtMonitorProfiler, qtScannerProfiler, qtMeasurementTool i
qtProfileChecker.

%package kde
Summary:	KDE-based sample colour profilers
Summary(pl):	Oparte na KDE przykadowe narzdzia do profilowania kolorw
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-data = %{version}-%{release}

%description kde
KDE-based sample colour profilers: kMonitorProfiler, kScannerProfiler,
kMeasurementTool and kProfileChecker.

%description kde -l pl
Oparte na KDE przykadowe narzdzia do profilowania kolorw:
kMonitorProfiler, kScannerProfiler, kMeasurementTool i
kProfileChecker.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make} all \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}" \
	LIBDIR=%{_libdir} \
	QTDIR=/usr

%if %{with kde}
for d in qt/qt[MPS]* ; do
	%{__make} -C $d clean \
		BINDIR=fake
done

%{__make} all \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}" \
	LIBDIR=%{_libdir} \
	QTDIR=/usr \
	KDEDIR=/usr \
	USE_KDE=y
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/lprof}

%{__make} install -C src \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}

install icc2it8 qt[mps]* $RPM_BUILD_ROOT%{_bindir}

%if %{with kde}
install k[mps]* $RPM_BUILD_ROOT%{_bindir}
%endif

cp -rf targets $RPM_BUILD_ROOT%{_datadir}/lprof

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README manual.txt
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_bindir}/icc*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/liblprof.la
%{_includedir}/lcmsprf.h

%files static
%defattr(644,root,root,755)
%{_libdir}/liblprof.a

%files data
%defattr(644,root,root,755)
%{_datadir}/lprof

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qt*

%if %{with kde}
%files kde
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/k*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lprof.spec,v $
Revision 1.7  2004/04/04 20:48:38  qboosh
- lib64 fixes, strict internal deps, release 3

Revision 1.6  2004/01/27 22:45:46  qboosh
- new-style bcond

Revision 1.5  2003/09/07 13:34:50  qboosh
- added qtmt patch to link with -lqt-mt
- release 2

Revision 1.4  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.3  2003/07/02 10:59:08  qboosh
- added kde subpackage

Revision 1.2  2003/07/01 22:14:23  qboosh
- added mrr patch (fixes some Linux/qt problems)
- added targetsdir patch, install targets data
- added shared patch, build shared liblprof

Revision 1.1  2003/07/01 19:14:42  qboosh
- new
